Pull to refresh

Анонсированы даты окончания поддержки Yii 1.1

Reading time1 min
Views6.4K
Изначально закончить поддержку Yii 1.1 планировалось 31 декабря 2015. На сайте также была указана пометка «может быть продлена, если нужно». В марте команда Yii провела опрос на эту тему и, так как зима близко, время анонсировать решение.

Релиз Yii 2.0 прошёл очень успешно и, несмотря на то, что проектов на 1.1 очень много, нам, из за ограниченного времени на развитие обоих веток, пришлось сфокусироваться на 2.0. Версия 1.1 за прошлый год не получила особенного развития.

Мы решили более не принимать новые возможности и улучшения для ветки 1.1. Соответствующие тикеты и пулл-реквесты скоро будут закрыты. Так как времени самостоятельно исправить все ошибки нет, мы оставим открытыми только самые серьёзные. Старые тикеты об ошибках, которые за время их существования разработчики уже обошли тем или иным способом в своих проектах, тоже будут закрыты.

Yii 1.1 будет получать критические исправления и исправления совместимости с PHP 7 до конца 2016 года. После этого мы, как минимум до 2018 года, будем исправлять исключительно проблемы с безопасностью. После окончания поддержки, как код, так и документация, всё так же будут доступны.

Если у вас есть вопросы или пожелания, можно их написать в теме на официальном форуме или здесь в комментариях.
Tags:
Hubs:
If this publication inspired you and you want to support the author, do not hesitate to click on the button
+13
Comments23

Articles

Change theme settings